Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 1387003002: cc: Make property trees support resourceless draw mode (Closed)

Created:
2 years, 1 month ago by ajuma
Modified:
2 years, 1 month ago
Reviewers:
jaydasika
CC:
chromium-reviews, cc-bugs_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@DontReparentUnclippedClipNodes
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

cc: Make property trees support resourceless draw mode Property trees currently rely on render target information computed at tree-building time (on the main thread) when computing draw properties. However, in resourceless draw mode (used by Android WebView), only the root render surface is used. Since resourceless draw mode can be arbitrarily enabled and disabled on the compositor thread, we cannot know at tree building time whether it will be used. This CL makes property trees support resourceless draw mode without requiring trees to be rebuilt when the draw mode changes (though they do still need to be updated). Most of the changes are for computing clipping-related properties, since render surfaces change the way clips are propagated to descendants and also change the space in which drawable_content_rect and clip_rect are expressed. BUG=524106 CQ_INCLUDE_TRYBOTS=tryserver.blink:linux_blink_rel Committed: https://crrev.com/51d73f712c256fa9e6e5bb320eac2ec7ba7b92a3 Cr-Commit-Position: refs/heads/master@{#354831}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Patch Set 5 : #

Patch Set 6 : #

Patch Set 7 : #

Patch Set 8 : #

Total comments: 6

Patch Set 9 : Rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+799 lines, -32 lines) Patch
M cc/test/layer_tree_host_common_test.h View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M cc/test/layer_tree_host_common_test.cc View 1 2 3 4 chunks +24 lines, -0 lines 0 comments Download
M cc/trees/draw_property_utils.h View 1 2 3 4 5 3 chunks +7 lines, -4 lines 0 comments Download
M cc/trees/draw_property_utils.cc View 1 2 3 4 5 6 7 8 19 chunks +76 lines, -22 lines 0 comments Download
M cc/trees/layer_tree_host.cc View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -1 line 0 comments Download
M cc/trees/layer_tree_host_common.cc View 1 2 3 4 5 3 chunks +5 lines, -3 lines 0 comments Download
M cc/trees/layer_tree_host_common_unittest.cc View 1 2 3 4 5 6 7 8 5 chunks +665 lines, -0 lines 0 comments Download
M cc/trees/property_tree.h View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -0 lines 0 comments Download
M cc/trees/property_tree.cc View 1 2 3 4 5 6 7 8 2 chunks +5 lines, -2 lines 0 comments Download
M cc/trees/property_tree_builder.cc View 1 2 3 4 5 6 7 8 3 chunks +10 lines, -0 lines 0 comments Download

Messages

Total messages: 11 (3 generated)
ajuma
2 years, 1 month ago (2015-10-16 18:41:05 UTC) #2
jaydasika
https://codereview.chromium.org/1387003002/diff/140001/cc/trees/property_tree_builder.cc File cc/trees/property_tree_builder.cc (right): https://codereview.chromium.org/1387003002/diff/140001/cc/trees/property_tree_builder.cc#newcode159 cc/trees/property_tree_builder.cc:159: if (!requires_node) { In the resourceless draw mode case, ...
2 years, 1 month ago (2015-10-16 21:27:10 UTC) #3
ajuma
https://codereview.chromium.org/1387003002/diff/140001/cc/trees/property_tree_builder.cc File cc/trees/property_tree_builder.cc (right): https://codereview.chromium.org/1387003002/diff/140001/cc/trees/property_tree_builder.cc#newcode159 cc/trees/property_tree_builder.cc:159: if (!requires_node) { On 2015/10/16 21:27:09, jaydasika wrote: > ...
2 years, 1 month ago (2015-10-16 22:40:41 UTC) #4
jaydasika
lgtm Thanks for all the comments. https://codereview.chromium.org/1387003002/diff/140001/cc/trees/draw_property_utils.cc File cc/trees/draw_property_utils.cc (right): https://codereview.chromium.org/1387003002/diff/140001/cc/trees/draw_property_utils.cc#newcode447 cc/trees/draw_property_utils.cc:447: parent_clip_node->id == 0 ...
2 years, 1 month ago (2015-10-16 23:13:57 UTC) #5
ajuma
https://codereview.chromium.org/1387003002/diff/140001/cc/trees/draw_property_utils.cc File cc/trees/draw_property_utils.cc (right): https://codereview.chromium.org/1387003002/diff/140001/cc/trees/draw_property_utils.cc#newcode447 cc/trees/draw_property_utils.cc:447: parent_clip_node->id == 0 || On 2015/10/16 23:13:57, jaydasika wrote: ...
2 years, 1 month ago (2015-10-19 17:46:20 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1387003002/160001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1387003002/160001
2 years, 1 month ago (2015-10-19 17:47:58 UTC) #9
commit-bot: I haz the power
Committed patchset #9 (id:160001)
2 years, 1 month ago (2015-10-19 19:44:05 UTC) #10
commit-bot: I haz the power
2 years, 1 month ago (2015-10-19 19:45:19 UTC) #11
Message was sent while issue was closed.
Patchset 9 (id:??) landed as
https://crrev.com/51d73f712c256fa9e6e5bb320eac2ec7ba7b92a3
Cr-Commit-Position: refs/heads/master@{#354831}

Powered by Google App Engine
This is Rietveld efc10ee0f